<?php
	include_once(__DIR__."/../../core.php");
	
	switch( $html->form('op', 'post') ){
		case "update":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				$descrizione = save( $_POST['descrizione'] );
				$icon = save( $_POST['icon'] );
				$query = "UPDATE co_statidocumento SET descrizione='".$descrizione."' , icona='".$icon."'  WHERE id=\"".$id_record."\"";
				$rs = $dbo->query( $query );
				array_push( $_SESSION['infos'], "Informazioni Stati salvate correttamente!" );
			}
			break;

		case "add":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
			
				$descrizione = save( $_POST['descrizione'] );
				$query = "INSERT INTO co_statidocumento ( descrizione ) VALUES ( \"$descrizione\" )";
				$dbo->query($query);
				$id_record = $dbo->last_inserted_id();
				array_push( $_SESSION['infos'], "Nuovo Stato aggiunto!" );
			}
			break;
		
		case "delete":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				
				$q="SELECT * FROM co_statidocumento WHERE id=\"".$id_record."\"";
				$n = $dbo->fetchNum($q);
				if( $n==0 ){
					$query="DELETE FROM co_statidocumento WHERE id=\"".$id_record."\"";
					$dbo->query($query);
					array_push($_SESSION["infos"],  "Tipologia eliminata con successo!");
				}
				else array_push($_SESSION["errors"], "Ci sono documenti con questo stato!");
			}
			break;
	}
?>
